///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      DB.H
//
//  Description
//      Database commands.
//
//  Author
//      Les Thaler
//
//  Revision: 1.00
//
// Copyright (c) 1995 Microsoft Corporation. All rights reserved.
//
#ifndef _CDB_H_
#define _CDB_H_

#include <mapidefs.h>
#include "abpab.h"
#include "template.h"

extern const  ABPAB_ID    DIR_ID;
extern const  ABPAB_ID    ROOT_ID;
#define DIR_ID_NUM          ((ULONG) 0xffffffff)
#define ROOT_ID_NUM         ((ULONG) 0xfffffffe)
#define OPEN_ONLY           0x00000001
#define OVERWRITE           0x00000002
#define CREATE_IF_NOT_EXIST (OPEN_ONLY | OVERWRITE)
#define PROPS    1
#define CHILDREN 2
#define PARENTS  4

STDMETHODIMP Close(RECORD_NUMBER & RecNum);

STDMETHODIMP InsertRec(PDATABASE        pDB, 
                       RECORD_NUMBER  & rnDest,
                       RECORD_NUMBER  & rnSrc);

STDMETHODIMP DeleteRec(PDATABASE pDB,RECORD_NUMBER & RecNum);

STDMETHODIMP Open(CDataBase     *  pDB,
                  ULONG            ulFlags, 
                  const ABPAB_ID & ID, 
                  RECORD_NUMBER  & RecNum);

STDMETHODIMP Fetch(RECORD_NUMBER & RecNum,
                   FIELD           Field,
                   CFlatPropList * pFlatProps);

STDMETHODIMP Fetch(RECORD_NUMBER   & RecNum,
                   FIELD             Field,
                   CList<ABPAB_ID> * pRelatedRecs);

STDMETHODIMP Fetch(RECORD_NUMBER  & RecNum,
                   FIELD            Field,
                   LPSRowSet      * ppRows);

STDMETHODIMP Fetch(RECORD_NUMBER & RecNum,
                   FIELD           Field,
                   ULONG         & ulCaps);

STDMETHODIMP Update(RECORD_NUMBER & RecNum,
                    FIELD           Field,
                    CFlatPropList * pFlatProps);

STDMETHODIMP Update(RECORD_NUMBER   & RecNum,
                    FIELD             Field,
                    CList<ABPAB_ID> & RelatedRecs);

STDMETHODIMP Update(RECORD_NUMBER & RecNum,
                    FIELD           Field,
                    LPSRowSet       pRows);

STDMETHODIMP Update(RECORD_NUMBER & RecNum,
                    FIELD           Field,
                    ULONG           ulCaps);

STDMETHODIMP NextID(PDATABASE pDB, ULONG & ulID);
STDMETHODIMP ReadRow(LPSTREAM pStream,LPSRow pRow);

#endif

// End of file for ABDB.H
