///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      ITABLE.H      
//
//  Description
//      IMAPITable implementation that wraps MAPI's
//      IMAPITable, but with a couple of overridden
//      methods. Most methods simply call the MAPI
//      implementation.
//
//  Author
//      Les Thaler
//
//  Revision: 1.00
//
// Copyright (c) 1995 Microsoft Corporation. All rights reserved.
//
#ifndef _ITABLE_H_
#define _ITABLE_H_

#ifndef ENABLE_DEBUG_OUTPUT
#define ENABLE_DEBUG_OUTPUT
#endif

#define fnevChildEvent          fnevTableModified
#define ABPAB_CHILD_CHANGED     TABLE_CHANGED
#define ABPAB_CHILD_ADDED       TABLE_ROW_ADDED
#define ABPAB_CHILD_MODIFIED    TABLE_ROW_MODIFIED
#define ABPAB_CHILD_DELETED     TABLE_ROW_DELETED


class CMAPITable : public IMAPITable
{
    public :
        MAPI_IUNKNOWN_METHODS(IMPL);
        MAPI_IMAPITABLE_METHODS(IMPL);
        CMAPITable(LPMAPITABLE pTbl,ULONG ulParent);
        ~CMAPITable();

    private:
        ULONG               m_cRef,
                            m_ParentID;
        LPMAPITABLE         m_pTbl;
        CRITICAL_SECTION    m_cs;
};

STDMETHODIMP  DoANR(LPTSTR        szTarget,
                    LPMAPITABLE   pSearchTbl,
                    LPSRow      * psrResolved,
                    ULONG         ulNameCol = 0,
                    BOOKMARK      BookMark = BOOKMARK_CURRENT/*,
                    LPTSTR      * pszFirstHit = NULL,
                    LPTSTR      * pszLastHit  = NULL*/);

#endif

// End of file for ITABLE.H
