
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      Advise.H
//
//  Author(s)
//      Nishad Mulye
//
//  Revision: 1.00
//
#ifndef CADVICESINK_H
#define CADVICESINK_H

#include <mapix.h>

// This next line just defines a token which gets expanded to nothing
#define IMPL

class  CAdviseSink : public IMAPIAdviseSink
{
public:
  STDMETHODIMP QueryInterface(REFIID riid,
                              LPVOID *ppvObj)
  {
    *ppvObj = 0;
    if (riid == IID_IMAPIAdviseSink ||
        riid == IID_IUnknown)
    {
      *ppvObj = (LPVOID)this;
      AddRef();
      return S_OK;
    }
    return E_NOINTERFACE;
  };
  STDMETHODIMP_(ULONG) AddRef()
  {
    return ++m_cRef;
  };
  STDMETHODIMP_(ULONG) Release()
  {
    ULONG  ulRet = --m_cRef;
    if (ulRet == 0) 
    {
      delete this;
    }
    return ulRet;
  };
  MAPI_IMAPIADVISESINK_METHODS(IMPL);

public :
  CAdviseSink(HWND  hWnd) :
    m_cRef(0),
    m_hWnd(hWnd)
  {
  };
  virtual ~CAdviseSink()
  {
  };
private :
  ULONG   m_cRef;
  HWND    m_hWnd;
};

#endif
