///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      BECOMMON.H
//              
//  Description
//
//  Author
//      Irving De la Cruz
//
//  Revision: 1.0
//
// Written for Microsoft Corporation
// Copyright (c) 1995-1996 Microsoft Corporation. All rights reserved.
//
#ifndef _BECOMMON_H
#define _BECOMMON_H

#include "PROPLIST.H"
#include "GENPROP.H"

extern "C"
{
    HRESULT WINAPI InitFolderProps
                    (LPTSTR                 pszName,
                     LPTSTR                 pszComment,
                     PRIVATE_ENTRYID        ParentEID,
                     CPropList **           ppList);
    HRESULT WINAPI InitMessageProps
                    (BOOL                   fCreateAssociated,
                     PRIVATE_ENTRYID        ParentEID,
                     LPBYTE                 pbSearchKey,
                     CPropList **           ppList);
    HRESULT WINAPI InitAttachProps
                    (CPropList **           ppList);
    HRESULT WINAPI SetPropsInList
                    (ULONG                  cValues,
                     LPSPropValue           pProps,
                     CPropList **           ppList);
    HRESULT WINAPI GetHierarchyTableProps
                    (CPropList *            pList,
                     LPSPropValue *         ppProps,
                     PRIVATE_ENTRYID        FolderEID,
                     PRIVATE_ENTRYID        ParentFolderEID,
                     long                   lAccess,
                     LPSBinary              pStoreEID,
                     ULONG                  ulFolderType,
                     DWORD &                dwLastAllocated,
                     LPTABLEDATA            pTable,
                     MAPIUID &              uidData);
};

// Minimum set of properties available in a folder hierarchy table
enum
{
    HT_INST_KEY,
    HT_DEPTH,
    HT_ACCESS,
    HT_EID,
    HT_PEID,
    HT_SEID,
    HT_SRKEY,
    HT_RKEY,
    HT_MAPPING,
    HT_FLDTYPE,
    HT_OBJTYPE,
    HT_DISPTYPE,
    HT_STATUS,
    HT_COUNT,
    HT_UNREAD,
    HT_ASSCNT,
    HT_SUBFLD,
    HT_CTIME,
    HT_LMTIME,
    HT_NAME,
    HT_COMMENT,
    HT_DEFVIEW,
    MIN_HIERARCHY_TABLE_PROPS
};

const static SizedSPropTagArray(MIN_HIERARCHY_TABLE_PROPS, sptFolderHierProps) =
{
    MIN_HIERARCHY_TABLE_PROPS,
    {
        PR_INSTANCE_KEY,
        PR_DEPTH,
        PR_ACCESS,
        PR_ENTRYID,
        PR_PARENT_ENTRYID,
        PR_STORE_ENTRYID,
        PR_STORE_RECORD_KEY,
        PR_RECORD_KEY,
        PR_MAPPING_SIGNATURE,
        PR_FOLDER_TYPE,
        PR_OBJECT_TYPE,
        PR_DISPLAY_TYPE,
        PR_STATUS,
        PR_CONTENT_COUNT,
        PR_CONTENT_UNREAD,
        PR_ASSOC_CONTENT_COUNT,
        PR_SUBFOLDERS,
        PR_CREATION_TIME,
        PR_LAST_MODIFICATION_TIME,
        PR_DISPLAY_NAME,
        PR_COMMENT,
        PR_DEFAULT_VIEW_ENTRYID
    }
};

#endif // _BECOMMON_H

// End of file for BECOMMON.H