
#ifndef ERRORLOG_H
#define ERRORLOG_H

class ErrorLog
{
public:
	ErrorLog(const char* const pszFileName = "ErrorLog.txt", unsigned long ulRes = 0) : hFile(0)
		{
		hFile = CreateFile(	pszFileName,
												GENERIC_WRITE,
												0,
												0,
												CREATE_ALWAYS,
												FILE_ATTRIBUTE_NORMAL | FILE_FLAG_WRITE_THROUGH,
												0);
		}
	virtual ~ErrorLog()
		{
		if (hFile)
			{
				CloseHandle(hFile);
			}
		}
	virtual void Log(const char* const pszMsg)
		{
		if (hFile)
			{
				DWORD dwBytes;
				char *pszNewLine = "\r\n";
				WriteFile(hFile,
									pszMsg,
									strlen(pszMsg),
									&dwBytes,
									0);
				WriteFile(hFile,
									pszNewLine,
									strlen(pszNewLine),
									&dwBytes,
									0);
			}
		}
private:
	HANDLE hFile;
};

#endif