// Service Message File
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: ERROR_START_SERVICE_CTRL_DISPATCHER
//
// MessageText:
//
//  StartServiceCtrlDispatcher() failed. %1
//
#define ERROR_START_SERVICE_CTRL_DISPATCHER ((DWORD)0xC0000800L)

//
// MessageId: ERROR_INCORRECT_ARGS
//
// MessageText:
//
//  Incorrect arguments %1, expecting 3; <profilename> <mailuser> <directory>
//
#define ERROR_INCORRECT_ARGS             ((DWORD)0xC0000801L)

//
// MessageId: ERROR_REGISTER_SERVICE_CTRL_HANDLER
//
// MessageText:
//
//  RegisterServiceCtrlHandler() failed, %1.
//
#define ERROR_REGISTER_SERVICE_CTRL_HANDLER ((DWORD)0xC0000802L)

//
// MessageId: ERROR_SET_SERVICE_STATUS
//
// MessageText:
//
//  SetServiceStatus() failed, %1.
//
#define ERROR_SET_SERVICE_STATUS         ((DWORD)0xC0000803L)

//
// MessageId: ERROR_CREATE_EVENT
//
// MessageText:
//
//  CreateEvent() failed, %1.
//
#define ERROR_CREATE_EVENT               ((DWORD)0xC0000804L)

//
// MessageId: ERROR_FIND_FIRST_CHANGE_NOTIFICATION
//
// MessageText:
//
//  FindFirstChangeNotification() failed.
//
#define ERROR_FIND_FIRST_CHANGE_NOTIFICATION ((DWORD)0xC0000805L)

//
// MessageId: ERROR_FIND_NEXT_CHANGE_NOTIFICATION
//
// MessageText:
//
//  FindNextChangeNotification() failed.
//
#define ERROR_FIND_NEXT_CHANGE_NOTIFICATION ((DWORD)0xC0000806L)

//
// MessageId: ERROR_MAPI_INITIALIZE
//
// MessageText:
//
//  MAPIInitialize() failed, %1.
//
#define ERROR_MAPI_INITIALIZE            ((DWORD)0xC0000807L)

//
// MessageId: ERROR_MAPI_LOGON_EX
//
// MessageText:
//
//  MAPILogonEx() failed, %1.
//
#define ERROR_MAPI_LOGON_EX              ((DWORD)0xC0000808L)

//
// MessageId: ERROR_GET_MSG_STORES_TABLE
//
// MessageText:
//
//  GetMsgStoresTable() failed, %1.
//
#define ERROR_GET_MSG_STORES_TABLE       ((DWORD)0xC0000809L)

//
// MessageId: ERROR_HR_QUERY_ALL_ROWS
//
// MessageText:
//
//  HrQueryAllRows() failed, %1.
//
#define ERROR_HR_QUERY_ALL_ROWS          ((DWORD)0xC000080AL)

//
// MessageId: ERROR_FIND_DEFAULT_STORE
//
// MessageText:
//
//  Could not find default store, %1.
//
#define ERROR_FIND_DEFAULT_STORE         ((DWORD)0xC000080BL)

//
// MessageId: ERROR_OPEN_DEFAULT_STORE
//
// MessageText:
//
//  Could not open default store, %1.
//
#define ERROR_OPEN_DEFAULT_STORE         ((DWORD)0xC000080CL)

//
// MessageId: ERROR_FIND_OUTBOX
//
// MessageText:
//
//  Could not find Outbox, %1.
//
#define ERROR_FIND_OUTBOX                ((DWORD)0xC000080DL)

//
// MessageId: ERROR_OPEN_OUTBOX
//
// MessageText:
//
//  Could not open Outbox, %1.
//
#define ERROR_OPEN_OUTBOX                ((DWORD)0xC000080EL)

//
// MessageId: ERROR_OPEN_ADDRESS_BOOK
//
// MessageText:
//
//  Could not open address book, %1.
//
#define ERROR_OPEN_ADDRESS_BOOK          ((DWORD)0xC000080FL)

//
// MessageId: ERROR_MAPI_ALLOCATE_BUFFER
//
// MessageText:
//
//  Could not allocate memory, %1.
//
#define ERROR_MAPI_ALLOCATE_BUFFER       ((DWORD)0xC0000810L)

//
// MessageId: ERROR_RESOLVE_NAME
//
// MessageText:
//
//  Could not resolve name, %1.
//
#define ERROR_RESOLVE_NAME               ((DWORD)0xC0000811L)

//
// MessageId: ERROR_CREATE_MESSAGE
//
// MessageText:
//
//  Could not create message, %1.
//
#define ERROR_CREATE_MESSAGE             ((DWORD)0xC0000812L)

//
// MessageId: ERROR_SET_MESSAGE_PROPS
//
// MessageText:
//
//  Could not set message properties, %1.
//
#define ERROR_SET_MESSAGE_PROPS          ((DWORD)0xC0000813L)

//
// MessageId: ERROR_MODIFY_RECIPIENTS
//
// MessageText:
//
//  Could not modify recipient table, %1.
//
#define ERROR_MODIFY_RECIPIENTS          ((DWORD)0xC0000814L)

//
// MessageId: ERROR_SUBMIT_MESSAGE
//
// MessageText:
//
//  Could not submit message, %1.
//
#define ERROR_SUBMIT_MESSAGE             ((DWORD)0xC0000815L)

