
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      CAdviceSink.h
//
//  Description
//      This file defines the CAdviseSink class that implements 
//      handling notification.
//
//  Author
//      Nishad Mulye
//
//  Revision: 1.00
//
// Written for Microsoft Windows Developer Support
// Copyright (c) 1995 Microsoft Corporation. All rights reserved.
//

#ifndef CADVICESINK_H
#define CADVICESINK_H

#include <mapi.h>
#include <mapiutil.h>
#include <mapiguid.h>

// This next line just defines a token which gets expanded to nothing
#define IMPL

class  CAdviseSink : public IMAPIAdviseSink
{
	public:
		// IUnknown methods
		STDMETHODIMP QueryInterface(REFIID riid, LPVOID *ppvObj)
		{
			*ppvObj = NULL;
			if (riid == IID_IMAPIAdviseSink || riid == IID_IUnknown)
			{
				*ppvObj = (LPVOID)this;
				AddRef();
				return S_OK;
			}
			return E_NOINTERFACE;
		};
		STDMETHODIMP_(ULONG) AddRef() { return ++m_cRef; };
		STDMETHODIMP_(ULONG) Release()
	    {
			if (--m_cRef == 0) 
			{
				delete this;
			}
			return m_cRef;
		};
		// IMAPIAdviseSink methods
		MAPI_IMAPIADVISESINK_METHODS(IMPL);

		CAdviseSink() : m_cRef(0) {};
		virtual ~CAdviseSink() {};
	private :
		// reference count
		ULONG	m_cRef; 
};

#endif
