
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      SETUP.H
//
//  Description
//
//  Author
//      Nishad Mulye
//
//  Revision: 1.00
//
// Written for Microsoft Windows Developer Support
// Copyright (c) 1995 Microsoft Corporation. All rights reserved.
//
#ifndef _SETUP_H
#define _SETUP_H

#define STRICT
// windows includes
#include <WINDOWS.H>
#include <WINDOWSX.H>
#include <COMMCTRL.H>
#include <CTL3D.H>

// MAPI includes
#include <MAPIDEFS.H>
#include <MAPIUTIL.H>

#include "RESOURCE.H"

// defines
#define	TM_DONE		0
#define TM_STEPIT	1
#define TM_DISPLAY	2
#define TM_ERROR	3

// global variables
HINSTANCE g_hInstance;

// function prototypes
BOOL CALLBACK SetupDialogProcedure(HWND hWnd, UINT uMsgId, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK ProgressDialogProcedure(HWND hWnd, UINT uMsgId, WPARAM wParam, LPARAM lParam);
BOOL WINAPI SetupDlgCommandHandler(HWND hWnd, UINT uMsgId, WPARAM wParam, LPARAM lParam);
BOOL WINAPI ThreadMsgCommandHandler(HWND hWnd, UINT uMsgID,WPARAM wParam, LPARAM lParam);
DWORD WINAPI SetupThreadRoutine(void* lpParam);
void WINAPI CopySections(LPTSTR lptszSection, LPTSTR lptszFilename);
void WINAPI CenterWindow(HWND hWnd);
int WINAPI PopulateListBox(HWND hWnd, int nDlgItem);

// SECTION Abstract Data Type
typedef struct _SECTION
{
	LPTSTR			lptszData;
	unsigned long	ulSize;
} SECTION, *PSECTION;
void WINAPI OpenSection (LPTSTR lptszFilename, LPTSTR lptszSection, PSECTION* ppSection);
BOOL WINAPI ReadSection (PSECTION pSection, unsigned* seed, LPTSTR* lptszLHS, LPTSTR* lptszRHS);
void WINAPI CloseSection (PSECTION* ppSection);

BOOL WINAPI ParseString(LPTSTR lpstzSrc, unsigned *lpuSeed, TCHAR delimiter, LPTSTR* lplptszDest);

LPTSTR WINAPI GetSetupInfDir();
LPTSTR WINAPI GetSetupInfFileName();
LPTSTR WINAPI GetMapiInfFileName();
LPTSTR WINAPI GetMapiInfDir();

void WINAPI AddDestDirectoryToPath (LPTSTR szDirectory);
BOOL WINAPI InstallServices();

#endif

// End of file for SETUP.H
