//////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      XPCOMMON.H
//
//  Description
//      This file declares the function prototypes for the common
//      functions in the WINDS transports
//
//  Author
//      Irving De la Cruz
//
//  Revision: 1.8
//
// Written for Microsoft Corporation
// Copyright (c) 1995-1996 Microsoft Corporation. All rights reserved.
//
#ifndef _XPCOMMON_H
#define _XPCOMMON_H

// Indexes of the properties we extracting of a message being
// submitted to generate the remote server message header.
enum
{
    MSG_DISP_TO,            // Array Indexes
    MSG_SUBJECT,
    MSG_CLASS,
    MSG_FLAGS,
    MSG_SIZE,
    MSG_PRIORITY,
    MSG_IMPORTANCE,
    MSG_SENSITIVITY,
    MSG_DR_REPORT,
    NUM_MSG_PROPS           // Array size
};
static const SizedSPropTagArray(NUM_MSG_PROPS, sptPropsForHeader) =
{
    NUM_MSG_PROPS,
    {
        PR_DISPLAY_TO,
        PR_SUBJECT,
        PR_MESSAGE_CLASS,
        PR_MESSAGE_FLAGS,
        PR_MESSAGE_SIZE,
        PR_PRIORITY,
        PR_IMPORTANCE,
        PR_SENSITIVITY,
        PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED
    }
};

extern "C"
{
    void WINAPI CreateMsgHeaderTextLine
                    (LPSPropValue               pProps,
                     LPSTR                      szBuffer,
                     FILETIME &                 time,
                     LPSTR                      szFullName);
    HRESULT WINAPI GrowAddressList
                    (LPADRLIST *                ppAdrList,
                     ULONG                      ulResizeBy,
                     ULONG *                    pulOldAndNewCount,
                     LPALLOCATEBUFFER           pfnMAPIAlloc,
                     LPFREEBUFFER               pfnMAPIFree);
    HRESULT WINAPI MakeSearchKey
                    (LPVOID                     pParentMemBlock,
                     LPSTR                      szAddress,
                     ULONG *                    pcbSearchKey,
                     LPBYTE *                   ppSearchKey,
                     LPALLOCATEMORE             pfnMAPIAllocMore);
};

#endif // _XPCOMMON_H

// End of file for XPCOMMON.H